VPFWarehouse (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Interface VPFWarehouse

All Known Subinterfaces:
  VPFFeatureWarehouse, VPFGraphicWarehouse

All Known Implementing Classes:
  LayerGraphicWarehouseSupport, VPFAutoFeatureGraphicWarehouse, VPFCachedFeatureGraphicWarehouse, VPFFeatureGraphicWarehouse, VPFLayerDCWWarehouse, VPFLayerGraphicWarehouse

    public interface VPFWarehouse

Define an interface for a Graphic Factory for graphics read from VPF.

Method Summary
`boolean` | `checkLibraryForUsage(java.lang.String libName)` Utility method to check if the specified library name has been set by the configuration as one to use.
`boolean` | `drawAreaFeatures()` Return true if we may draw some area features.
`boolean` | `drawCPointFeatures()` Return true if we may draw some connected node(point) features.
`boolean` | `drawEdgeFeatures()` Return true if we may draw some edge features.
`boolean` | `drawEPointFeatures()` Return true if we may draw some entity node(point) features.
`boolean` | `drawTextFeatures()` Return true if we may draw some text features.
`java.util.List<java.lang.String>` | `getFeatures()` Get a List of Strings listing all the feature types wanted.
`java.awt.Component` | `getGUI(LibrarySelectionTable lst)` Get the GUI to control different aspects of the warehouse.
`java.util.List<java.lang.String>` | `getUseLibraries()` Get a library name to limit selections from.
`void` | `resetForCAT()` To let the warehouse know that a new CoverageAttributeTable will be using the warehouse.
`void` | `setUseLibraries(java.util.List<java.lang.String> lib)` Set a library name to limit selections from.

Method Detail

### drawEdgeFeatures

    boolean drawEdgeFeatures()

  Return true if we may draw some edge features.

### drawTextFeatures

    boolean drawTextFeatures()

  Return true if we may draw some text features.

### drawAreaFeatures

    boolean drawAreaFeatures()

  Return true if we may draw some area features.

### resetForCAT

    void resetForCAT()

  To let the warehouse know that a new CoverageAttributeTable will be using the warehouse. Some warehouses need to reset some tables for this situation.

### getGUI

    java.awt.Component getGUI(LibrarySelectionTable lst)

  Get the GUI to control different aspects of the warehouse.

  Parameters:
    `lst` - LibrarySelectionTable to use to get information about the data, if needed.

### drawEPointFeatures

    boolean drawEPointFeatures()

  Return true if we may draw some entity node(point) features.

### drawCPointFeatures

    boolean drawCPointFeatures()

  Return true if we may draw some connected node(point) features.

### getFeatures

    java.util.List<java.lang.String> getFeatures()

  Get a List of Strings listing all the feature types wanted. Returned with the area features first, then text features, then line features, then point features.

### getUseLibraries

    java.util.List<java.lang.String> getUseLibraries()

  Get a library name to limit selections from. Used by the LibrarySelectionTable to find out if selection from database should be limitied to tiles or feature from certain libraries. Specified here instead of the LibrarySelectionTable in case the LST is shared among layers, since the warehouse is specific to a particular layer.

### setUseLibraries

    void setUseLibraries(java.util.List<java.lang.String> lib)

  Set a library name to limit selections from. Used by the LibrarySelectionTable to find out if selection from database should be limitied to tiles or feature from certain libraries. Specified here instead of the LibrarySelectionTable in case the LST is shared among layers, since the warehouse is specific to a particular layer. If null the warehouse should use all libraries available to it to gather features.

### checkLibraryForUsage

    boolean checkLibraryForUsage(java.lang.String libName)

  Utility method to check if the specified library name has been set by the configuration as one to use.

  Parameters:
    `libName` - the library name to test
  Returns:
    true if the useLibrary list has not been set, is empty, or if the provided name matches an entry on it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details